Bug 1286373 - [abrt] gtkpod: update_menu_sensitivity(): gtkpod killed by SIGSEGV
[abrt] gtkpod: update_menu_sensitivity(): gtkpod killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtkpod (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:72b3981ea573496dfc2df948238...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 13:23 EST by Orion Poplawski
Modified: 2016-12-20 11:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:23:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.18 KB, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: core_backtrace (8.46 KB, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: dso_list (14.20 KB, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: environ (1.37 KB, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: maps (68.64 KB, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: mountinfo (3.95 KB, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: open_fds (1.32 KB, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details
File: var_log_messages (291 bytes, text/plain)
2015-11-28 13:23 EST, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2015-11-28 13:23:36 EST
Description of problem:
Started gtkpod, it asked to select the iPod model.  Crashed when I clicked on the dropdown list.

Version-Release number of selected component:
gtkpod-2.1.5-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gtkpod
crash_function: update_menu_sensitivity
executable:     /usr/bin/gtkpod
global_pid:     29285
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 update_menu_sensitivity at gtkcombobox.c:2114
 #2 gtk_combo_box_menu_popup at gtkcombobox.c:2136
 #3 gtk_combo_box_menu_button_press at gtkcombobox.c:2926
 #4 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #9 gtk_widget_event_internal at gtkwidget.c:7692
 #10 propagate_event_up at gtkmain.c:2517
 #11 propagate_event at gtkmain.c:2619
 #12 gtk_main_do_event at gtkmain.c:1850
 #18 gtk_dialog_run at gtkdialog.c:1395
 #19 repository_ipod_init_set_model at repository_init.c:318
Comment 1 Orion Poplawski 2015-11-28 13:23:40 EST
Created attachment 1099962 [details]
File: backtrace
Comment 2 Orion Poplawski 2015-11-28 13:23:41 EST
Created attachment 1099963 [details]
File: cgroup
Comment 3 Orion Poplawski 2015-11-28 13:23:42 EST
Created attachment 1099964 [details]
File: core_backtrace
Comment 4 Orion Poplawski 2015-11-28 13:23:43 EST
Created attachment 1099965 [details]
File: dso_list
Comment 5 Orion Poplawski 2015-11-28 13:23:44 EST
Created attachment 1099966 [details]
File: environ
Comment 6 Orion Poplawski 2015-11-28 13:23:45 EST
Created attachment 1099967 [details]
File: exploitable
Comment 7 Orion Poplawski 2015-11-28 13:23:46 EST
Created attachment 1099968 [details]
File: limits
Comment 8 Orion Poplawski 2015-11-28 13:23:47 EST
Created attachment 1099969 [details]
File: maps
Comment 9 Orion Poplawski 2015-11-28 13:23:48 EST
Created attachment 1099970 [details]
File: mountinfo
Comment 10 Orion Poplawski 2015-11-28 13:23:49 EST
Created attachment 1099971 [details]
File: namespaces
Comment 11 Orion Poplawski 2015-11-28 13:23:50 EST
Created attachment 1099972 [details]
File: open_fds
Comment 12 Orion Poplawski 2015-11-28 13:23:51 EST
Created attachment 1099973 [details]
File: proc_pid_status
Comment 13 Orion Poplawski 2015-11-28 13:23:52 EST
Created attachment 1099974 [details]
File: var_log_messages
Comment 14 bobbyprice 2016-01-03 15:39:13 EST
Another user experienced a similar problem:

I was trying to select the iPod model within the popup dialog in gtkpod.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gtkpod
crash_function: update_menu_sensitivity
executable:     /usr/bin/gtkpod
global_pid:     32614
kernel:         4.2.8-300.fc23.x86_64
package:        gtkpod-2.1.5-1.fc23
reason:         gtkpod killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Masoud Nikoofar 2016-05-14 13:50:43 EDT
Another user experienced a similar problem:

it just crashed when i opened it and wanna select my iphone model from the combobox

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gtkpod
crash_function: update_menu_sensitivity
executable:     /usr/bin/gtkpod
global_pid:     3235
kernel:         4.4.7-300.fc23.x86_64
package:        gtkpod-2.1.5-2.fc23
reason:         gtkpod killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2016-11-24 08:49:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:23:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.